Appel javascript déprécié ?

Eléphant du PHP | 163 Messages

08 nov. 2017, 16:16

Salut,

Je voulais savoir :

jQuery(function ($) { est du javascript déprécié ?
Si oui il faut remplacer ça par ?

J'ai également ceci dans la console, c'est grave ?
JQMIGRATE: Migrate is installed, version 1.4.1

do_ok

Avatar du membre
Administrateur PHPfrance
Administrateur PHPfrance | 7624 Messages

08 nov. 2017, 17:36

Je dirai non pour le 1er.
Et le 2ème c'est juste une notice, tu peux l'ignorer
Quand tout le reste a échoué, lisez le mode d'emploi...

Eléphant du PHP | 163 Messages

08 nov. 2017, 18:42

Slt Arthur et merci !
J'ai eu ce message en montant de version de wordpress, bizarre...
Sais-tu comment on peut être sur qu'un upgrade de version s'est bien déroulé ?
do_ok

ViPHP
ViPHP | 1996 Messages

07 déc. 2017, 23:32

Salut ,

J'ai eu le même problème. Sous Wordpress, il faut bien utiliser comme tu le fais jQuery (function($) et non $(function($) à cause d'un conflit avec une autre bibliothèque (prototype je crois).
Pour l'upgrade, si tu as javascript qui fonctionne, c'est bon sinon tout est bloqué.
Pour ta version de jQuery, affiche $.fn.jquery pour la connaître. On en est à la version 3.2.1 mais tout dépend de ce que tu veux faire avec. Ancienne version ne veut pas dire toujours obsolète.
It is nice to be important but it is more important to be nice
http://www.aureuswebfactory.fr